Bug 1721810 - Possible lensfun-0.3.2-13 & -14 and python34-lensfun-0.3.2-13, python36--0.3.2-14 package problem
Summary: Possible lensfun-0.3.2-13 & -14 and python34-lensfun-0.3.2-13, python36--0.3....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lensfun
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-19 06:06 UTC by system-messages
Modified: 2019-07-05 00:51 UTC (History)
5 users (show)

Fixed In Version: lensfun-0.3.2-20.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-05 00:51:09 UTC


Attachments (Terms of Use)

Description system-messages 2019-06-19 06:06:31 UTC
Description of problem:


Version-Release number of selected component (if applicable):0.3.2-13el7


How reproducible:Always on yum update


Steps to Reproduce:
1. Currently install all lensfun at 0.3.2-13
2. Currently installed python34-lensfun-03.2-13

3. sudo yum update lensfun
[sudo] password for robertk: 
Loaded plugins: auto-update-debuginfo, changelog, fastestmirror, fs-snapshot, langpacks, list-data, local, merge-conf, priorities, ps,
              : remove-with-leaves, rpm-warm-cache, show-leaves, verify, versionlock
Loading mirror speeds from cached hostfile
 * base: mirror.internode.on.net
 * epel: epel.mirror.digitalpacific.com.au
 * epel-debuginfo: epel.mirror.digitalpacific.com.au
 * extras: ftp.swin.edu.au
 * ius: ius.mirror.digitalpacific.com.au
 * ius-debuginfo: ius.mirror.digitalpacific.com.au
 * updates: ftp.swin.edu.au
240 packages excluded due to repository priority protections
Resolving Dependencies
--> Running transaction check
---> Package lensfun.x86_64 0:0.3.2-13.el7 will be updated
--> Processing Dependency: lensfun(x86-64) = 0.3.2-13.el7 for package: lensfun-devel-0.3.2-13.el7.x86_64
--> Processing Dependency: lensfun(x86-64) = 0.3.2-13.el7 for package: python34-lensfun-0.3.2-13.el7.x86_64
---> Package lensfun.x86_64 0:0.3.2-14.el7 will be an update
--> Running transaction check
---> Package lensfun.x86_64 0:0.3.2-13.el7 will be updated
--> Processing Dependency: lensfun(x86-64) = 0.3.2-13.el7 for package: python34-lensfun-0.3.2-13.el7.x86_64
---> Package lensfun-devel.x86_64 0:0.3.2-13.el7 will be updated
---> Package lensfun-devel.x86_64 0:0.3.2-14.el7 will be an update
--> Finished Dependency Resolution
Error: Package: python34-lensfun-0.3.2-13.el7.x86_64 (@epel)
           Requires: lensfun(x86-64) = 0.3.2-13.el7
           Removing: lensfun-0.3.2-13.el7.x86_64 (@epel)
               lensfun(x86-64) = 0.3.2-13.el7
           Updated By: lensfun-0.3.2-14.el7.x86_64 (epel)
               lensfun(x86-64) = 0.3.2-14.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Actual results: See above.


Expected results: Update of lensfun to 0.3.2-14.el7


Additional info:

$  sudo locate lensfun
/usr/bin/lensfun-add-adapter
/usr/bin/lensfun-update-data
/usr/include/lensfun
/usr/include/lensfun/lensfun.h
/usr/lib/debug/usr/lib64/liblensfun.so.0.3.2.debug
/usr/lib/debug/usr/lib64/liblensfun.so.1.debug
/usr/lib/debug/usr/lib64/liblensfun.so.debug
/usr/lib/python3.4/site-packages/lensfun
/usr/lib/python3.4/site-packages/lensfun-0.3.2-py3.4.egg-info
/usr/lib/python3.4/site-packages/lensfun/__init__.py
/usr/lib/python3.4/site-packages/lensfun/__pycache__
/usr/lib/python3.4/site-packages/lensfun/__pycache__/__init__.cpython-34.pyc
/usr/lib/python3.4/site-packages/lensfun/__pycache__/__init__.cpython-34.pyo
/usr/lib64/liblensfun.so
/usr/lib64/liblensfun.so.0.3.2
/usr/lib64/liblensfun.so.1
/usr/lib64/pkgconfig/lensfun.pc
/usr/share/lensfun
/usr/share/doc/lensfun-0.3.2
/usr/share/doc/lensfun-0.3.2/README.md
/usr/share/doc/lensfun-0.3.2/addcamera.html
/usr/share/doc/lensfun-0.3.2/addlens.html
/usr/share/doc/lensfun-0.3.2/annotated.html
/usr/share/doc/lensfun-0.3.2/basearch.html
/usr/share/doc/lensfun-0.3.2/bc_s.png
/usr/share/doc/lensfun-0.3.2/bdwn.png
/usr/share/doc/lensfun-0.3.2/cc-by-ca.html
/usr/share/doc/lensfun-0.3.2/classes.html
/usr/share/doc/lensfun-0.3.2/closed.png
/usr/share/doc/lensfun-0.3.2/corrections.html
/usr/share/doc/lensfun-0.3.2/credits.html
/usr/share/doc/lensfun-0.3.2/database.html
/usr/share/doc/lensfun-0.3.2/db_versions.html
/usr/share/doc/lensfun-0.3.2/dbformat.html
/usr/share/doc/lensfun-0.3.2/dbsearch.html
/usr/share/doc/lensfun-0.3.2/doxygen.css
/usr/share/doc/lensfun-0.3.2/doxygen.png
/usr/share/doc/lensfun-0.3.2/dynsections.js
/usr/share/doc/lensfun-0.3.2/el_camera.html
/usr/share/doc/lensfun-0.3.2/el_lens.html
/usr/share/doc/lensfun-0.3.2/el_mount.html
/usr/share/doc/lensfun-0.3.2/elem_calibration.html
/usr/share/doc/lensfun-0.3.2/example_8c-example.html
/usr/share/doc/lensfun-0.3.2/examples.html
/usr/share/doc/lensfun-0.3.2/files.html
/usr/share/doc/lensfun-0.3.2/filldb.html
/usr/share/doc/lensfun-0.3.2/ftv2blank.png
/usr/share/doc/lensfun-0.3.2/ftv2cl.png
/usr/share/doc/lensfun-0.3.2/ftv2doc.png
/usr/share/doc/lensfun-0.3.2/ftv2folderclosed.png
/usr/share/doc/lensfun-0.3.2/ftv2folderopen.png
/usr/share/doc/lensfun-0.3.2/ftv2lastnode.png
/usr/share/doc/lensfun-0.3.2/ftv2link.png
/usr/share/doc/lensfun-0.3.2/ftv2mlastnode.png
/usr/share/doc/lensfun-0.3.2/ftv2mnode.png
/usr/share/doc/lensfun-0.3.2/ftv2mo.png
/usr/share/doc/lensfun-0.3.2/ftv2node.png
/usr/share/doc/lensfun-0.3.2/ftv2ns.png
/usr/share/doc/lensfun-0.3.2/ftv2plastnode.png
/usr/share/doc/lensfun-0.3.2/ftv2pnode.png
/usr/share/doc/lensfun-0.3.2/ftv2splitbar.png
/usr/share/doc/lensfun-0.3.2/ftv2vertline.png
/usr/share/doc/lensfun-0.3.2/functions.html
/usr/share/doc/lensfun-0.3.2/functions_func.html
/usr/share/doc/lensfun-0.3.2/functions_vars.html
/usr/share/doc/lensfun-0.3.2/globals.html
/usr/share/doc/lensfun-0.3.2/globals_defs.html
/usr/share/doc/lensfun-0.3.2/globals_enum.html
/usr/share/doc/lensfun-0.3.2/globals_eval.html
/usr/share/doc/lensfun-0.3.2/globals_func.html
/usr/share/doc/lensfun-0.3.2/globals_type.html
/usr/share/doc/lensfun-0.3.2/gpl.html
/usr/share/doc/lensfun-0.3.2/group__Auxiliary.html
/usr/share/doc/lensfun-0.3.2/group__Camera.html
/usr/share/doc/lensfun-0.3.2/group__Correction.html
/usr/share/doc/lensfun-0.3.2/group__Database.html
/usr/share/doc/lensfun-0.3.2/group__Lens.html
/usr/share/doc/lensfun-0.3.2/group__Mount.html
/usr/share/doc/lensfun-0.3.2/index.html
/usr/share/doc/lensfun-0.3.2/jquery.js
/usr/share/doc/lensfun-0.3.2/lensfun-add-adapter.html
/usr/share/doc/lensfun-0.3.2/lensfun-update-data.html
/usr/share/doc/lensfun-0.3.2/lensfun_8h.html
/usr/share/doc/lensfun-0.3.2/lensfun_8h_source.html
/usr/share/doc/lensfun-0.3.2/lenstool_8cpp-example.html
/usr/share/doc/lensfun-0.3.2/lgpl.html
/usr/share/doc/lensfun-0.3.2/license.html
/usr/share/doc/lensfun-0.3.2/modules.html
/usr/share/doc/lensfun-0.3.2/nav_f.png
/usr/share/doc/lensfun-0.3.2/nav_g.png
/usr/share/doc/lensfun-0.3.2/nav_h.png
/usr/share/doc/lensfun-0.3.2/open.png
/usr/share/doc/lensfun-0.3.2/pages.html
/usr/share/doc/lensfun-0.3.2/programming.html
/usr/share/doc/lensfun-0.3.2/samplecode.html
/usr/share/doc/lensfun-0.3.2/structlfCamera-members.html
/usr/share/doc/lensfun-0.3.2/structlfCamera.html
/usr/share/doc/lensfun-0.3.2/structlfDatabase-members.html
/usr/share/doc/lensfun-0.3.2/structlfDatabase.html
/usr/share/doc/lensfun-0.3.2/structlfLens-members.html
/usr/share/doc/lensfun-0.3.2/structlfLens.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibCrop-members.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibCrop.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibDistortion-members.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibDistortion.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibFov-members.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibFov.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibRealFocal-members.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibRealFocal.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibTCA-members.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibTCA.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibVignetting-members.html
/usr/share/doc/lensfun-0.3.2/structlfLensCalibVignetting.html
/usr/share/doc/lensfun-0.3.2/structlfModifier-members.html
/usr/share/doc/lensfun-0.3.2/structlfModifier.html
/usr/share/doc/lensfun-0.3.2/structlfMount-members.html
/usr/share/doc/lensfun-0.3.2/structlfMount.html
/usr/share/doc/lensfun-0.3.2/structlfParameter-members.html
/usr/share/doc/lensfun-0.3.2/structlfParameter.html
/usr/share/doc/lensfun-0.3.2/sync_off.png
/usr/share/doc/lensfun-0.3.2/sync_on.png
/usr/share/doc/lensfun-0.3.2/tab_a.png
/usr/share/doc/lensfun-0.3.2/tab_b.png
/usr/share/doc/lensfun-0.3.2/tab_h.png
/usr/share/doc/lensfun-0.3.2/tab_s.png
/usr/share/doc/lensfun-0.3.2/tabs.css
/usr/share/doc/lensfun-0.3.2/tfun_8cpp-example.html
/usr/share/lensfun/version_1
/usr/share/lensfun/version_1/6x6.xml
/usr/share/lensfun/version_1/actioncams.xml
/usr/share/lensfun/version_1/compact-canon.xml
/usr/share/lensfun/version_1/compact-casio.xml
/usr/share/lensfun/version_1/compact-fujifilm.xml
/usr/share/lensfun/version_1/compact-kodak.xml
/usr/share/lensfun/version_1/compact-konica-minolta.xml
/usr/share/lensfun/version_1/compact-leica.xml
/usr/share/lensfun/version_1/compact-nikon.xml
/usr/share/lensfun/version_1/compact-olympus.xml
/usr/share/lensfun/version_1/compact-panasonic.xml
/usr/share/lensfun/version_1/compact-pentax.xml
/usr/share/lensfun/version_1/compact-ricoh.xml
/usr/share/lensfun/version_1/compact-samsung.xml
/usr/share/lensfun/version_1/compact-sigma.xml
/usr/share/lensfun/version_1/compact-sony.xml
/usr/share/lensfun/version_1/contax.xml
/usr/share/lensfun/version_1/generic.xml
/usr/share/lensfun/version_1/mil-canon.xml
/usr/share/lensfun/version_1/mil-fujifilm.xml
/usr/share/lensfun/version_1/mil-nikon.xml
/usr/share/lensfun/version_1/mil-olympus.xml
/usr/share/lensfun/version_1/mil-panasonic.xml
/usr/share/lensfun/version_1/mil-pentax.xml
/usr/share/lensfun/version_1/mil-samsung.xml
/usr/share/lensfun/version_1/mil-samyang.xml
/usr/share/lensfun/version_1/mil-sigma.xml
/usr/share/lensfun/version_1/mil-sony.xml
/usr/share/lensfun/version_1/mil-tamron.xml
/usr/share/lensfun/version_1/mil-zeiss.xml
/usr/share/lensfun/version_1/misc.xml
/usr/share/lensfun/version_1/rf-leica.xml
/usr/share/lensfun/version_1/slr-canon.xml
/usr/share/lensfun/version_1/slr-hasselblad.xml
/usr/share/lensfun/version_1/slr-konica-minolta.xml
/usr/share/lensfun/version_1/slr-leica.xml
/usr/share/lensfun/version_1/slr-nikon.xml
/usr/share/lensfun/version_1/slr-olympus.xml
/usr/share/lensfun/version_1/slr-panasonic.xml
/usr/share/lensfun/version_1/slr-pentax.xml
/usr/share/lensfun/version_1/slr-ricoh.xml
/usr/share/lensfun/version_1/slr-samsung.xml
/usr/share/lensfun/version_1/slr-samyang.xml
/usr/share/lensfun/version_1/slr-schneider.xml
/usr/share/lensfun/version_1/slr-sigma.xml
/usr/share/lensfun/version_1/slr-soligor.xml
/usr/share/lensfun/version_1/slr-sony.xml
/usr/share/lensfun/version_1/slr-tamron.xml
/usr/share/lensfun/version_1/slr-tokina.xml
/usr/share/lensfun/version_1/slr-ussr.xml
/usr/share/lensfun/version_1/slr-vivitar.xml
/usr/share/lensfun/version_1/slr-zeiss.xml
/usr/share/lensfun/version_1/timestamp.txt
/usr/share/licenses/lensfun-0.3.2
/usr/share/licenses/lensfun-0.3.2/cc-by-sa-3.0.txt
/usr/share/licenses/lensfun-0.3.2/lgpl-3.0.txt
/usr/share/man/man1/lensfun-add-adapter.1.gz
/usr/share/man/man1/lensfun-update-data.1.gz
/usr/src/debug/lensfun-0.3.2
/usr/src/debug/lensfun-0.3.2/libs
/usr/src/debug/lensfun-0.3.2/x86_64-redhat-linux-gnu
/usr/src/debug/lensfun-0.3.2/libs/lensfun
/usr/src/debug/lensfun-0.3.2/libs/lensfun/auxfun.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/camera.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/cpuid.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/database.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/lens.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/lensfunprv.h
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mod-color-sse.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mod-color-sse2.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mod-color.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mod-coord-sse.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mod-coord.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mod-subpix.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/modifier.cpp
/usr/src/debug/lensfun-0.3.2/libs/lensfun/mount.cpp
/usr/src/debug/lensfun-0.3.2/x86_64-redhat-linux-gnu/lensfun.h
/usr/src/debug/lensfun-0.3.2/x86_64-redhat-linux-gnu/libs
/usr/src/debug/lensfun-0.3.2/x86_64-redhat-linux-gnu/libs/lensfun
/var/lib/lensfun-updates
/var/lib/yum/plugins/local/lensfun-0.3.0-4.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-0.3.0-5.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-0.3.1-3.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-0.3.2-13.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-debuginfo-0.3.0-4.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-debuginfo-0.3.0-5.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-debuginfo-0.3.1-3.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-debuginfo-0.3.2-13.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-devel-0.3.0-4.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-devel-0.3.0-5.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-devel-0.3.1-3.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-devel-0.3.2-13.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-tools-0.3.0-4.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-tools-0.3.0-5.el7.centos.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-tools-0.3.1-3.el7.x86_64.rpm
/var/lib/yum/plugins/local/lensfun-tools-0.3.2-13.el7.x86_64.rpm
/var/lib/yum/plugins/local/python34-lensfun-0.3.2-13.el7.x86_64.rpm

$ sudo locate python34-lensfun
/var/lib/yum/plugins/local/python34-lensfun-0.3.2-13.el7.x86_64.rpm

$ sudo locate python36-lensfun

$ $ rpm -q --whatrequires lensfun
no package requires lensfun

$ rpm -q --whatprovides lensfun
lensfun-0.3.2-13.el7.x86_64

$ rpm -q --whatprovides lensfun-\*
no package provides lensfun-*

$ rpm -q --whatprovides python34-lensfun
python34-lensfun-0.3.2-13.el7.x86_64

$ rpm -q --whatrequires python34-lensfun
lensfun-tools-0.3.2-13.el7.x86_64

$ rpm -q --whatrequires lensfun-tools
no package requires lensfun-tools

$ rpm -q --whatprovides lensfun-tools
lensfun-tools-0.3.2-13.el7.x86_64

$ rpm -q --whatrequires lensfun-0.3.2-13
no package requires lensfun-0.3.2-13

$ rpm -q --whatrequires lensfun-0.3.2-14
no package requires lensfun-0.3.2-14

$ rpm -q --whatrequires lensfun-0.3.2-13

Using Yum extneder & selecting updates for lensfun only get

Yum extender output
15:16:13 : Can't detect the network connection state
15:16:13 : Getting package lists - BEGIN <yumexgui.populate_package_cache>
15:16:13 : Starting yum child process
15:16:13 : Initialize yum backend - BEGIN <yum_backend.setup>
15:16:13 : Setup START <yum_backend.setup>
15:16:24 : Command to run : /usr/share/yumex/yum_childtask.py 2 True False /etc/yum.conf <yum_backend.setup>
15:16:24 : LAUNCHER: Ready for commands <yum_backend._check_for_message>
15:16:24 : Sending: #run args: ['UycvdXNyL3NoYXJlL3l1bWV4L3l1bV9jaGlsZHRhc2sucHkgMiBUcnVlIEZhbHNlIC9ldGMveXVtLmNvbmYnCnAwCi4='] <yum_backend._send_command>
15:16:24 : Setup END <yum_backend.setup>
15:16:24 : LAUNCHER - Starting : /usr/share/yumex/yum_childtask.py 2 True False /etc/yum.conf <yum_backend._check_for_message>
15:16:25 : Using yum debuglevel = 2 <yum_backend._check_for_message>
15:16:25 : YUM: Yum Version : 3.4.3
15:16:25 : YUM: Loaded plugins: auto-update-debuginfo, fastestmirror, fs-snapshot, langpacks,
15:16:25 : YUM: No plugin match for: refresh-packagekit
15:16:25 : disable multi : RK_OVERRIDE_Centos_repository <yum_server._disable_multi_download>
15:16:25 : disable multi : RK_local_Centos_repository <yum_server._disable_multi_download>
15:16:25 : disable multi : adobe-linux-x86_64 <yum_server._disable_multi_download>
15:16:25 : disable multi : base <yum_server._disable_multi_download>
15:16:25 : disable multi : centos-sclo-rh <yum_server._disable_multi_download>
15:16:25 : disable multi : centos-sclo-sclo <yum_server._disable_multi_download>
15:16:25 : disable multi : epel <yum_server._disable_multi_download>
15:16:25 : disable multi : extras <yum_server._disable_multi_download>
15:16:25 : disable multi : gf <yum_server._disable_multi_download>
15:16:25 : disable multi : google-chrome <yum_server._disable_multi_download>
15:16:25 : disable multi : google-earth <yum_server._disable_multi_download>
15:16:25 : disable multi : google-earth-pro <yum_server._disable_multi_download>
15:16:25 : disable multi : ius <yum_server._disable_multi_download>
15:16:25 : disable multi : updates <yum_server._disable_multi_download>
15:16:25 : disable multi : virtio-win-stable <yum_server._disable_multi_download>
15:16:25 : Initialize yum backend - END <yum_backend.setup>
15:16:25 : Getting package lists - END <yumexgui.populate_package_cache>
15:16:25 : Sending: get-repos args: [] <yum_backend._send_command>
15:16:25 : START: Getting updates packages <yumexgui.on_packageFilter_changed>
15:16:25 : get-repos Args: [''] took 0.01 s to complete <yumexbackend.yum_server>
15:16:25 : Sending: get-packages args: ['updates', 'False', 'False'] <yum_backend._send_command>
15:16:25 : Getting available updates
15:16:25 : YUM: Loading mirror speeds from cached hostfile
15:16:27 : YUM: * base: mirror.internode.on.net
15:16:27 : YUM: * epel: epel.mirror.digitalpacific.com.au
15:16:27 : YUM: * epel-debuginfo: epel.mirror.digitalpacific.com.au
15:16:27 : YUM: * extras: ftp.swin.edu.au
15:16:27 : YUM: * ius: ius.mirror.digitalpacific.com.au
15:16:27 : YUM: * ius-debuginfo: ius.mirror.digitalpacific.com.au
15:16:27 : YUM: * updates: ftp.swin.edu.au
15:16:28 : Repo Metadata for repomdxUYwz4tmp.xml <yum_backend.yum_dnl_progress>
15:16:28 : Downloaded : repomdxUYwz4tmp.xml ( 2.6 k )
15:16:28 : WARNING: Unknown metadata type (x86_64) for ius
15:16:28 : Unknown metadata type (x86_64) for ius <yum_backend.yum_dnl_progress>
15:16:28 : Downloaded : ius/x86_64 ( 2.6 k )
15:16:30 : YUM: 240 packages excluded due to repository priority protections
15:16:30 : got 15 packages from yum backend <yum_backend.get_packages>
15:16:30 : 15 packages returned
15:16:30 : get-packages Args: ['updates', 'False', 'False'] took 5.40 s to complete <yumexbackend.yum_server>
15:16:30 : Sending: get-packages args: ['obsoletes', 'False', 'False'] <yum_backend._send_command>
15:16:31 : Getting available obsoletes
15:16:31 : got 0 packages from yum backend <yum_backend.get_packages>
15:16:31 : 0 packages returned
15:16:31 : Starting update timer with a delay of 180 min (time_diff=0) <yumexgui.start_update_timer>
15:16:31 : Adding Packages to view
15:16:31 : START: Adding updates & obsoletes packages to view <yumexgui._add_packages>
15:16:31 : Starting package view population - sorted view <yumexgui.add_packages>
15:16:31 : package view population - start adding to store <yumexgui.add_packages>
15:16:31 : package view population - end adding to store <yumexgui.add_packages>
15:16:31 : package view population - sort column set <yumexgui.add_packages>
15:16:31 : package view population - store is applied to TreeView <yumexgui.add_packages>
15:16:31 : package view population - start GtkEvent Processing <yumexgui.add_packages>
15:16:31 : package view population - end GtkEvent Processing <yumexgui.add_packages>
15:16:31 : Added 15 Packages to view
15:16:31 : END: Getting updates packages <yumexgui.on_packageFilter_changed>
15:16:31 : Starting delayed update timer <yumexgui.startup_init_update_timer>
15:17:01 : Starting update timer with a delay of 180 min (time_diff=30) <yumexgui.start_update_timer>
15:18:21 : get-packages Args: ['obsoletes', 'False', 'False'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:21 : Sending: get-attribute args: ['lensfun\t0\t0.3.2\t14.el7\tx86_64\tepel', 'url'] <yum_backend._send_command>
15:18:21 : get-attribute Args: ['lensfun', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'url'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:21 : Sending: get-attribute args: ['lensfun\t0\t0.3.2\t14.el7\tx86_64\tepel', 'description'] <yum_backend._send_command>
15:18:21 : get-attribute Args: ['lensfun', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'description'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:21 : Sending: get-attribute args: ['lensfun-debuginfo\t0\t0.3.2\t14.el7\tx86_64\tepel-debuginfo', 'url'] <yum_backend._send_command>
15:18:22 : get-attribute Args: ['lensfun-debuginfo', '0', '0.3.2', '14.el7', 'x86_64', 'epel-debuginfo', 'url'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:22 : Sending: get-attribute args: ['lensfun-debuginfo\t0\t0.3.2\t14.el7\tx86_64\tepel-debuginfo', 'description'] <yum_backend._send_command>
15:18:23 : get-attribute Args: ['lensfun-debuginfo', '0', '0.3.2', '14.el7', 'x86_64', 'epel-debuginfo', 'description'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:23 : Sending: get-attribute args: ['lensfun-devel\t0\t0.3.2\t14.el7\tx86_64\tepel', 'url'] <yum_backend._send_command>
15:18:23 : get-attribute Args: ['lensfun-devel', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'url'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:23 : Sending: get-attribute args: ['lensfun-devel\t0\t0.3.2\t14.el7\tx86_64\tepel', 'description'] <yum_backend._send_command>
15:18:23 : get-attribute Args: ['lensfun-devel', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'description'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:23 : Sending: get-attribute args: ['lensfun-tools\t0\t0.3.2\t14.el7\tx86_64\tepel', 'url'] <yum_backend._send_command>
15:18:24 : get-attribute Args: ['lensfun-tools', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'url'] took 0.00 s to complete <yumexbackend.yum_server>
15:18:24 : Sending: get-attribute args: ['lensfun-tools\t0\t0.3.2\t14.el7\tx86_64\tepel', 'description'] <yum_backend._send_command>
15:19:35 : Seaching for ['lensfun'] in ['name', 'summary', 'description'] (all) <yumexgui.search>
15:19:35 : get-attribute Args: ['lensfun-tools', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'description'] took 0.00 s to complete <yumexbackend.yum_server>
15:19:35 : Sending: search args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAxCi4='] <yum_backend._send_command>
15:19:36 : Starting package view population - sorted view <yumexgui.add_packages>
15:19:36 : package view population - start adding to store <yumexgui.add_packages>
15:19:37 : package view population - end adding to store <yumexgui.add_packages>
15:19:37 : package view population - sort column set <yumexgui.add_packages>
15:19:37 : package view population - store is applied to TreeView <yumexgui.add_packages>
15:19:37 : package view population - start GtkEvent Processing <yumexgui.add_packages>
15:19:37 : package view population - end GtkEvent Processing <yumexgui.add_packages>
15:19:41 : Seaching for ['lensfun'] in ['name', 'summary', 'description'] (installed) <yumexgui.search>
15:19:41 : search Args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAxCi4='] took 1.13 s to complete <yumexbackend.yum_server>
15:19:41 : Sending: search args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAwCi4='] <yum_backend._send_command>
15:19:41 : Starting package view population - sorted view <yumexgui.add_packages>
15:19:41 : package view population - start adding to store <yumexgui.add_packages>
15:19:41 : package view population - end adding to store <yumexgui.add_packages>
15:19:41 : package view population - sort column set <yumexgui.add_packages>
15:19:41 : package view population - store is applied to TreeView <yumexgui.add_packages>
15:19:41 : package view population - start GtkEvent Processing <yumexgui.add_packages>
15:19:41 : package view population - end GtkEvent Processing <yumexgui.add_packages>
15:19:45 : search Args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAwCi4='] took 0.01 s to complete <yumexbackend.yum_server>
15:19:45 : Sending: get-attribute args: ['lensfun\t0\t0.3.2\t13.el7\tx86_64\t@epel', 'url'] <yum_backend._send_command>
15:19:45 : get-attribute Args: ['lensfun', '0', '0.3.2', '13.el7', 'x86_64', '@epel', 'url'] took 0.00 s to complete <yumexbackend.yum_server>
15:19:45 : Sending: get-attribute args: ['lensfun\t0\t0.3.2\t13.el7\tx86_64\t@epel', 'description'] <yum_backend._send_command>
15:25:08 : Seaching for ['lensfun'] in ['name', 'summary', 'description'] (updates) <yumexgui.search>
15:25:08 : get-attribute Args: ['lensfun', '0', '0.3.2', '13.el7', 'x86_64', '@epel', 'description'] took 0.00 s to complete <yumexbackend.yum_server>
15:25:08 : Sending: search args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAxCi4='] <yum_backend._send_command>
15:25:08 : Starting package view population - sorted view <yumexgui.add_packages>
15:25:08 : package view population - start adding to store <yumexgui.add_packages>
15:25:08 : package view population - end adding to store <yumexgui.add_packages>
15:25:08 : package view population - sort column set <yumexgui.add_packages>
15:25:08 : package view population - store is applied to TreeView <yumexgui.add_packages>
15:25:08 : package view population - start GtkEvent Processing <yumexgui.add_packages>
15:25:08 : package view population - end GtkEvent Processing <yumexgui.add_packages>
15:25:10 : Seaching for ['lensfun'] in ['name', 'summary', 'description'] (available) <yumexgui.search>
15:25:10 : search Args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAxCi4='] took 0.00 s to complete <yumexbackend.yum_server>
15:25:10 : Sending: search args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAxCi4='] <yum_backend._send_command>
15:25:10 : Starting package view population - sorted view <yumexgui.add_packages>
15:25:10 : package view population - start adding to store <yumexgui.add_packages>
15:25:10 : package view population - end adding to store <yumexgui.add_packages>
15:25:10 : package view population - sort column set <yumexgui.add_packages>
15:25:10 : package view population - store is applied to TreeView <yumexgui.add_packages>
15:25:10 : package view population - start GtkEvent Processing <yumexgui.add_packages>
15:25:10 : package view population - end GtkEvent Processing <yumexgui.add_packages>
15:26:23 : search Args: ['KGxwMApTJ2xlbnNmdW4nCnAxCmEu', 'KGxwMApTJ25hbWUnCnAxCmFTJ3N1bW1hcnknCnAyCmFTJ2Rlc2NyaXB0aW9uJwpwMwphLg==', 'STAxCi4='] took 0.00 s to complete <yumexbackend.yum_server>
15:26:23 : Sending: get-attribute args: ['lensfun\t0\t0.3.2\t14.el7\tx86_64\tepel', 'url'] <yum_backend._send_command>
15:26:23 : get-attribute Args: ['lensfun', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'url'] took 0.00 s to complete <yumexbackend.yum_server>
15:26:23 : Sending: get-attribute args: ['lensfun\t0\t0.3.2\t14.el7\tx86_64\tepel', 'description'] <yum_backend._send_command>
15:31:28 : Starting pending actions processing <yumexgui.on_Execute_clicked>
15:31:28 : get-attribute Args: ['lensfun', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'description'] took 0.00 s to complete <yumexbackend.yum_server>
15:31:28 : Sending: set-option args: ['skip_broken', 'STAwCi4=', 'STAwCi4='] <yum_backend._send_command>
15:31:28 : Setting Yum Option skip_broken = False
15:31:28 : set-option Args: ['skip_broken', 'STAwCi4=', 'STAwCi4='] took 0.00 s to complete <yumexbackend.yum_server>
15:31:28 : Sending: set-option args: ['clean_requirements_on_remove', 'STAwCi4=', 'STAwCi4='] <yum_backend._send_command>
15:31:29 : Setting Yum Option clean_requirements_on_remove = False
15:31:29 : got 15 packages from cache <yum_backend.get_packages>
15:31:29 : 15 packages returned
15:31:29 : got 0 packages from cache <yum_backend.get_packages>
15:31:29 : 0 packages returned
15:31:29 : Starting update timer with a delay of 180 min (time_diff=0) <yumexgui.start_update_timer>
15:31:29 : set-option Args: ['clean_requirements_on_remove', 'STAwCi4=', 'STAwCi4='] took 0.00 s to complete <yumexbackend.yum_server>
15:31:29 : Sending: reset-transaction args: [] <yum_backend._send_command>
15:31:29 : reset-transaction Args: [''] took 0.00 s to complete <yumexbackend.yum_server>
15:31:29 : Sending: add-transaction args: ['lensfun\t0\t0.3.2\t14.el7\tx86_64\tepel', 'update'] <yum_backend._send_command>
15:31:29 : Added : lensfun.x86_64 0:0.3.2-14.el7 - u <yumexbackend.yum_server>
15:31:29 : add-transaction Args: ['lensfun', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'update'] took 0.01 s to complete <yumexbackend.yum_server>
15:31:29 : Sending: add-transaction args: ['lensfun-debuginfo\t0\t0.3.2\t14.el7\tx86_64\tepel-debuginfo', 'update'] <yum_backend._send_command>
15:31:29 : Added : lensfun-debuginfo.x86_64 0:0.3.2-14.el7 - u <yumexbackend.yum_server>
15:31:29 : add-transaction Args: ['lensfun-debuginfo', '0', '0.3.2', '14.el7', 'x86_64', 'epel-debuginfo', 'update'] took 0.00 s to complete <yumexbackend.yum_server>
15:31:29 : Sending: add-transaction args: ['lensfun-devel\t0\t0.3.2\t14.el7\tx86_64\tepel', 'update'] <yum_backend._send_command>
15:31:29 : Added : lensfun-devel.x86_64 0:0.3.2-14.el7 - u <yumexbackend.yum_server>
15:31:29 : add-transaction Args: ['lensfun-devel', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'update'] took 0.00 s to complete <yumexbackend.yum_server>
15:31:29 : Sending: add-transaction args: ['lensfun-tools\t0\t0.3.2\t14.el7\tx86_64\tepel', 'update'] <yum_backend._send_command>
15:31:29 : Added : lensfun-tools.x86_64 0:0.3.2-14.el7 - u <yumexbackend.yum_server>
15:31:29 : add-transaction Args: ['lensfun-tools', '0', '0.3.2', '14.el7', 'x86_64', 'epel', 'update'] took 0.00 s to complete <yumexbackend.yum_server>
15:31:29 : Sending: build-transaction args: [] <yum_backend._send_command>
15:31:29 : YUM: --> Running transaction check
15:31:29 : YUM: ---> Package lensfun.x86_64 0:0.3.2-13.el7 will be updated
15:31:29 : YUM: --> Processing Dependency: lensfun(x86-64) = 0.3.2-13.el7 for package: python34-lensfun-0.3.2-13.el7.x86_64
15:31:29 : YUM: ---> Package lensfun.x86_64 0:0.3.2-14.el7 will be an update
15:31:29 : YUM: ---> Package lensfun-debuginfo.x86_64 0:0.3.2-13.el7 will be updated
15:31:29 : YUM: ---> Package lensfun-debuginfo.x86_64 0:0.3.2-14.el7 will be an update
15:31:29 : YUM: ---> Package lensfun-devel.x86_64 0:0.3.2-13.el7 will be updated
15:31:29 : YUM: ---> Package lensfun-devel.x86_64 0:0.3.2-14.el7 will be an update
15:31:29 : YUM: ---> Package lensfun-tools.x86_64 0:0.3.2-13.el7 will be updated
15:31:29 : YUM: ---> Package lensfun-tools.x86_64 0:0.3.2-14.el7 will be an update
15:31:29 : YUM: --> Processing Dependency: python36-lensfun = 0.3.2-14.el7 for package: lensfun-tools-0.3.2-14.el7.x86_64
15:31:29 : YUM: --> Running transaction check
15:31:29 : YUM: ---> Package lensfun.x86_64 0:0.3.2-13.el7 will be updated
15:31:29 : YUM: --> Processing Dependency: lensfun(x86-64) = 0.3.2-13.el7 for package: python34-lensfun-0.3.2-13.el7.x86_64
15:31:29 : YUM: ---> Package python36-lensfun.x86_64 0:0.3.2-14.el7 will be installed
15:31:32 : YUM: --> Finished Dependency Resolution
15:33:18 : ERROR: Dependency resolving completed with errors
15:33:18 : ERROR: Package: python34-lensfun-0.3.2-13.el7.x86_64 (@epel)
    Requires: lensfun(x86-64) = 0.3.2-13.el7
    Removing: lensfun-0.3.2-13.el7.x86_64 (@epel)
        lensfun(x86-64) = 0.3.2-13.el7
    Updated By: lensfun-0.3.2-14.el7.x86_64 (epel)
        lensfun(x86-64) = 0.3.2-14.el7
15:33:21 : Ended pending actions processing <yumexgui.on_Execute_clicked>


Have had past local installation of lensfun 0.3.0-4 and -5 but has been removed / replaced by epel 0.3.1-3 in the past I think without problems.

Comment 1 Rex Dieter 2019-06-19 16:42:53 UTC
lensfun got rebuild for python36, but without any Obsoletes in place for upgrade path.

I'll add those, but in the meantime, manually uninstalling python34-lensfun, and optionally re-installing python36-lensfun afterward, as a workaround.

Comment 2 Fedora Update System 2019-06-19 18:12:39 UTC
FEDORA-EPEL-2019-9d9df300fd has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9d9df300fd

Comment 3 system-messages 2019-06-20 01:56:00 UTC
Thank you

Manually uninstalling python34-lensfun, and optionally re-installing python36-lensfun afterward, worked as a workaround.

Comment 4 Fedora Update System 2019-06-20 03:55:14 UTC
lensfun-0.3.2-20.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9d9df300fd

Comment 5 system-messages 2019-07-03 01:14:05 UTC
Update now installs OK.

Comment 6 Fedora Update System 2019-07-05 00:51:09 UTC
lensfun-0.3.2-20.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.